INTERFACE
SUBROUTINE GATHERFREQ(PLFREQ,PFREQ,KVIMOD,KLCFRQ,KCHECK)
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NUMXP ,NXMAX ,NXPECG
USE MPL_MODULE
INTEGER(KIND=JPIM),INTENT(IN) :: KVIMOD
INTEGER(KIND=JPIM),INTENT(IN) :: KLCFRQ
REAL(KIND=JPRB) ,INTENT(IN) :: PLFREQ(KVIMOD,KLCFRQ)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFREQ(NXPECG*3,KVIMOD)
INTEGER(KIND=JPIM),INTENT(OUT) :: KCHECK
END SUBROUTINE GATHERFREQ
END INTERFACE
